Holger's Java API

## com.antelmann.math
Class DataMatrixGraphics

    java.lang.Object
      com.antelmann.math.DataMatrixGraphics

    @ThirdParty(value="uses JFree chart library")
    public class DataMatrixGraphics

extends Object

provides convenient ways to visualize a DataMatrix

Since:
  13.02.2009, 23:20:51
Author:
  Holger Antelmann
See Also:
  `DataMatrix`

Constructor Summary
`DataMatrixGraphics(DataMatrix<?> matrix)`

Method Summary
`DataMatrix<?>` `getMatrix()`
`org.jfree.data.category.DefaultCategoryDataset` `makeCategoryDataset(String axisName, int axis, int maxEntries, DataPoint.ValueType type, String remainingValueKey)`
`org.jfree.data.category.DefaultCategoryDataset` `makeCategoryDataset(String axisName, int axis, int maxEntries, String remainingValueKey)`
`org.jfree.chart.ChartPanel` `makePieChart(int axis, DataPoint.ValueType type, int maxEntries, String remainingValueKey)`
`org.jfree.chart.ChartPanel` `makePieChart(int axis, int maxEntries, String remainingValueKey)`
`org.jfree.data.general.DefaultPieDataset` `makePieDataset(int axis, int maxEntries, DataPoint.ValueType type, String remainingValueKey)`
`org.jfree.data.general.DefaultPieDataset` `makePieDataset(int axis, int maxEntries, String remainingValueKey)`
`void` `setMatrix(DataMatrix<?> matrix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataMatrixGraphics

    public DataMatrixGraphics(DataMatrix<?> matrix)

Method Detail

### getMatrix

    public DataMatrix<?> getMatrix()

### setMatrix

    public void setMatrix(DataMatrix<?> matrix)

### makeCategoryDataset

    public org.jfree.data.category.DefaultCategoryDataset makeCategoryDataset(String axisName,
                                                                              int axis,
                                                                              int maxEntries,
                                                                              String remainingValueKey)

### makeCategoryDataset

    public org.jfree.data.category.DefaultCategoryDataset makeCategoryDataset(String axisName,
                                                                              int axis,
                                                                              int maxEntries,
                                                                              DataPoint.ValueType type,
                                                                              String remainingValueKey)

### makePieDataset

    public org.jfree.data.general.DefaultPieDataset makePieDataset(int axis,
                                                                   int maxEntries,
                                                                   String remainingValueKey)

### makePieDataset

    public org.jfree.data.general.DefaultPieDataset makePieDataset(int axis,
                                                                   int maxEntries,
                                                                   DataPoint.ValueType type,
                                                                   String remainingValueKey)

### makePieChart

    public org.jfree.chart.ChartPanel makePieChart(int axis,
                                                   int maxEntries,
                                                   String remainingValueKey)

### makePieChart

    public org.jfree.chart.ChartPanel makePieChart(int axis,
                                                   DataPoint.ValueType type,
                                                   int maxEntries,
                                                   String remainingValueKey)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads